<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/questobjectiveevents/expansionquestobjectivetreasurehuntevent.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d1b/a02351_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionquestobjectivetreasurehuntevent.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d1b/a02351.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionQuestObjectiveTreasureHuntEvent.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/dba/a06798.html">ExpansionQuestObjectiveTreasureHuntEvent</a>: <a class="code hl_class" href="../../d4/d17/a06786.html">ExpansionQuestObjectiveEventBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#aad2b78e614f7ef9d6000b1b77b07ca05">   15</a></span>    <span class="keyword">protected</span> ref array&lt;Object&gt; <a class="code hl_variable" href="../../dc/dba/a06798.html#aad2b78e614f7ef9d6000b1b77b07ca05">LootItems</a> = <span class="keyword">new</span> array&lt;Object&gt;;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">   16</a></span>    <span class="keyword">protected</span> UndergroundStash <a class="code hl_variable" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">Stash</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#afd6a2d2f2fb3d6c305906e2a32c55caf">   17</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d3/dd6/a06470.html">ExpansionQuestSeaChest</a> <a class="code hl_variable" href="../../dc/dba/a06798.html#afd6a2d2f2fb3d6c305906e2a32c55caf">Chest</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">   18</a></span>    <span class="keyword">protected</span> vector <a class="code hl_variable" href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">StashPos</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#a260daf674dcd97c8817b15e29fac3447">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dba/a06798.html#a260daf674dcd97c8817b15e29fac3447">OnStart</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnStart&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> (!super.OnStart())</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../dc/dba/a06798.html#a1c84af3e783c16914735c56479244d7e">TreasureHuntEventStart</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#aea9c6cde39d60a2f065b9d0d37e1b376">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dba/a06798.html#aea9c6cde39d60a2f065b9d0d37e1b376">OnContinue</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnContinue&quot;</span>);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> (!super.OnContinue())</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../dc/dba/a06798.html#a1c84af3e783c16914735c56479244d7e">TreasureHuntEventStart</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#a603e0f412d79798a88ef0c6efe39184c">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dba/a06798.html#a603e0f412d79798a88ef0c6efe39184c">OnCleanup</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnCleanup&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> (!super.OnCleanup())</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordtype">int</span> state = <a class="code hl_enumeration" href="../../dc/d35/a02240.html#aca02af3f6a9f01a275220199d00acff3">ExpansionQuestState</a>.NONE;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../de/dfd/a02228.html#a68bdf73e6305c9f8159adf3bfff1bcd1">ExpansionQuestPersistentData</a> questPlayerData = <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().<a class="code hl_function" href="../../d4/dab/a06622.html#abae0e0492b4610678f5ed0523a6c3808">GetQuestModule</a>().<a class="code hl_function" href="../../d8/d61/a06642.html#ad103bc68aed4cfb24b800ef221e4eee2">GetPlayerQuestDataByUID</a>(<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetPlayerUID());</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> (questPlayerData)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            state = questPlayerData.GetQuestStateByQuestID(<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d6/d8f/a09397.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>());</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="comment"></span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">        //! Only cleanup the treasure if quest is not completed</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="comment"></span>        <span class="keywordflow">if</span> (state == <a class="code hl_enumeration" href="../../dc/d35/a02240.html#aca02af3f6a9f01a275220199d00acff3">ExpansionQuestState</a>.STARTED)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordflow">foreach</span> (Object obj: <a class="code hl_variable" href="../../dc/dba/a06798.html#aad2b78e614f7ef9d6000b1b77b07ca05">LootItems</a>)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                GetGame().ObjectDelete(obj);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        GetGame().ObjectDelete(<a class="code hl_variable" href="../../dc/dba/a06798.html#afd6a2d2f2fb3d6c305906e2a32c55caf">Chest</a>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        GetGame().ObjectDelete(<a class="code hl_variable" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">Stash</a>);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#a4f87b40ecd56e6efe5070dd39a70593b">   77</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dba/a06798.html#a4f87b40ecd56e6efe5070dd39a70593b">OnCancel</a>()</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnCancel&quot;</span>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span> (!super.OnCancel())</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">foreach</span> (Object obj: <a class="code hl_variable" href="../../dc/dba/a06798.html#aad2b78e614f7ef9d6000b1b77b07ca05">LootItems</a>)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            GetGame().ObjectDelete(obj);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        GetGame().ObjectDelete(<a class="code hl_variable" href="../../dc/dba/a06798.html#afd6a2d2f2fb3d6c305906e2a32c55caf">Chest</a>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        GetGame().ObjectDelete(<a class="code hl_variable" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">Stash</a>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#a1c84af3e783c16914735c56479244d7e">   97</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dba/a06798.html#a1c84af3e783c16914735c56479244d7e">TreasureHuntEventStart</a>()</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;TreasureHuntEventStart&quot;</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetPlayer())</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().<a class="code hl_function" href="../../d4/dab/a06622.html#a54070bbbc6f777f923f9fcb2bfd18dc0">SetPlayer</a>();</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetPlayer())</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <a class="code hl_class" href="../../df/dc1/a06714.html">ExpansionQuestObjectiveTreasureHunt</a> treasureHunt = <a class="code hl_function" href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">GetObjectiveConfig</a>().<a class="code hl_function" href="../../de/d9f/a06730.html#a2e6a782d74b0fa2756b66c87ab66f5db">GetTreasureHunt</a>();</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span> (!treasureHunt)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../dc/dba/a06798.html#ad6ca3f71df112d5964dc9ef1b7d7bf33">CreateTreasure</a>(treasureHunt);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#ad6ca3f71df112d5964dc9ef1b7d7bf33">  117</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/dba/a06798.html#ad6ca3f71df112d5964dc9ef1b7d7bf33">CreateTreasure</a>(<a class="code hl_class" href="../../df/dc1/a06714.html">ExpansionQuestObjectiveTreasureHunt</a> treasureHunt)</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span><span class="preprocessor">    #ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.QUESTS, <span class="keyword">this</span>, <span class="stringliteral">&quot;CreateTreasure&quot;</span>);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        vector pos = treasureHunt.<a class="code hl_function" href="../../df/dc1/a06714.html#a46c105f7e793e22565f5359d3de42f95">GetPositions</a>().GetRandomElement();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_variable" href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">StashPos</a> = pos;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="comment"></span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="comment">        //! Check if there is already a stash on this position for this quest ID.</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="comment"></span>        array&lt;Object&gt; objects = <span class="keyword">new</span> array&lt;Object&gt;;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        GetGame().GetObjectsAtPosition3D(pos, 3.0, objects, NULL);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordflow">foreach</span> (Object obj: objects)</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            UndergroundStash existingStash;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <span class="keywordflow">if</span> (Class.CastTo(existingStash, obj))</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                <span class="keywordflow">if</span> (existingStash &amp;&amp; existingStash.GetQuestID() == <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d6/d8f/a09397.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>())</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="comment"></span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="comment">        //! Create the underground stash and hide it</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="comment"></span>        <span class="keywordflow">if</span> (!Class.CastTo(<a class="code hl_variable" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">Stash</a>, GetGame().CreateObjectEx(<span class="stringliteral">&quot;UndergroundStash&quot;</span>, <a class="code hl_variable" href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">StashPos</a>, ECE_PLACE_ON_SURFACE)))</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">Stash</a>)</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <a class="code hl_variable" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">Stash</a>.SetQuestID(<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetQuestConfig().<a class="code hl_function" href="../../d6/d8f/a09397.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a>());</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            <a class="code hl_variable" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">Stash</a>.PlaceOnGround();</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        EntityAI stashEntity;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">if</span> (!Class.CastTo(stashEntity, <a class="code hl_variable" href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">Stash</a>))</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="comment"></span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="comment">        //! Spawn the chest in the underground stash</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="comment"></span>        <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> questPlayer = <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.GetPlayerByUID(<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetPlayerUID());</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordflow">if</span> (!questPlayer)</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        Object chestObj = <a class="code hl_enumvalue" href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514aaa91a7c5a479ef5add68c761703fbaee">Spawn</a>(<span class="stringliteral">&quot;ExpansionQuestSeaChest&quot;</span>, 1, questPlayer, stashEntity, <a class="code hl_variable" href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">StashPos</a>, Vector(0, 0, 0));</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">if</span> (!Class.CastTo(<a class="code hl_variable" href="../../dc/dba/a06798.html#afd6a2d2f2fb3d6c305906e2a32c55caf">Chest</a>, chestObj))</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <a class="code hl_variable" href="../../dc/dba/a06798.html#afd6a2d2f2fb3d6c305906e2a32c55caf">Chest</a>.<a class="code hl_function" href="../../d0/dca/a04906.html#a3b59f94e12dccf688848db38300baa30">ExpansionSetContainerOwner</a>(questPlayer);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span><span class="comment"></span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="comment">        //! Spawn the loot in the chest</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="comment"></span>        EntityAI chestEntity;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">if</span> (!Class.CastTo(chestEntity, <a class="code hl_variable" href="../../dc/dba/a06798.html#afd6a2d2f2fb3d6c305906e2a32c55caf">Chest</a>))</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span> </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        map&lt;string, int&gt; items = treasureHunt.<a class="code hl_function" href="../../df/dc1/a06714.html#a9675b9a0f6b6b788ba8b2dcd88a8978a">GetItems</a>();</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">foreach</span> (<span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>, <span class="keywordtype">int</span> amount: items)</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        {</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            Object item = <a class="code hl_enumvalue" href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514aaa91a7c5a479ef5add68c761703fbaee">Spawn</a>(<a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>, amount, questPlayer, chestEntity, <a class="code hl_variable" href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">StashPos</a>, Vector(0, 0, 0));</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <a class="code hl_variable" href="../../dc/dba/a06798.html#aad2b78e614f7ef9d6000b1b77b07ca05">LootItems</a>.Insert(item);</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#a88ab30ab079785503357764516d95a72">  179</a></span>    Object <a class="code hl_function" href="../../dc/dba/a06798.html#a88ab30ab079785503357764516d95a72">Spawn</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>, <span class="keywordtype">int</span> amount, <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, inout EntityAI parent, vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, vector orientation)</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    {</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        Object obj = <a class="code hl_class" href="../../d8/dc2/a05098.html">ExpansionItemSpawnHelper</a>.<a class="code hl_function" href="../../d8/dc2/a05098.html#a55520bd3363143c31c36538a4f020bc1">SpawnOnParent</a>(<a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>, player, parent, amount);</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <span class="keywordflow">return</span> obj;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    }</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#a3c7ac55c05a996f7378421003cb2ee85">  185</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/dba/a06798.html#a3c7ac55c05a996f7378421003cb2ee85">OnUpdate</a>(<span class="keywordtype">float</span> timeslice)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>    {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        super.OnUpdate(timeslice);</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a> = <a class="code hl_variable" href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">StashPos</a>;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordtype">float</span> maxDistance = 5.0;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <span class="keywordtype">float</span> currentDistance;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        array&lt;vector&gt; groupMemberPos = <span class="keyword">new</span> array&lt;vector&gt;;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().IsGroupQuest() &amp;&amp; <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>() &amp;&amp; <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetPlayer())</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            vector playerPos = <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().<a class="code hl_function" href="../../d4/dab/a06622.html#a22645c85276d97e4b148544974885048">GetPlayer</a>().GetPosition();</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            currentDistance = vector.Distance(playerPos, <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        }</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span><span class="preprocessor">    #ifdef EXPANSIONMODGROUPS</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().IsGroupQuest() &amp;&amp; <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>() &amp;&amp; <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetGroup())</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span><span class="comment">            //! Set the position of the group member that has the shortest distance to the target location</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span><span class="comment">            //! as our current position if the quest is a group quest.</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span><span class="comment"></span>            <a class="code hl_class" href="../../db/dc8/a05314.html">ExpansionPartyData</a> group = <a class="code hl_function" href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">GetQuest</a>().GetGroup();</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>            <span class="keywordflow">if</span> (!group)</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>            array&lt;ref ExpansionPartyPlayerData&gt; groupPlayers = group.<a class="code hl_function" href="../../db/dc8/a05314.html#a6116ffeaaccd68427d0d40d50b00107f">GetPlayers</a>();</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            <span class="keywordflow">foreach</span> (<a class="code hl_function" href="../../d6/d8f/a09397.html#a7949e537f7a83eceaec184008c93805c">ExpansionPartyPlayerData</a> playerGroupData: groupPlayers)</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>                <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> groupPlayer = <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a>.GetPlayerByUID(playerGroupData.GetID());</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>                <span class="keywordflow">if</span> (!groupPlayer)</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>                    <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span> </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>                groupMemberPos.Insert(groupPlayer.GetPosition());</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>            <span class="keywordtype">float</span> smallestDistance;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            <span class="keywordtype">int</span> posIndex;</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>            <span class="keywordtype">bool</span> firstSet = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> p = 0; p &lt; groupMemberPos.Count(); p++)</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>            {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>                <span class="keywordtype">float</span> dist = vector.Distance(groupMemberPos[p], <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>                <span class="keywordflow">if</span> (!firstSet)</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>                {</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>                    smallestDistance = dist;</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>                    posIndex = p;</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>                    firstSet = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>                }</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>                <span class="keywordflow">else</span> <span class="keywordflow">if</span> (firstSet &amp;&amp; dist &lt; smallestDistance)</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>                {</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>                    smallestDistance = dist;</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>                    posIndex = p;</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>                }</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            }</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>            currentDistance = vector.Distance(groupMemberPos[posIndex], <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            groupMemberPos.Clear();</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        }</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[1] = GetGame().SurfaceY(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[0], <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>[2]);</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <span class="keywordflow">if</span> (currentDistance &lt;= maxDistance &amp;&amp; !<a class="code hl_function" href="../../d4/d17/a06786.html#aeff3c476e6e118a01fd7f0db7a5542c8">IsCompleted</a>())</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        {</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>            <a class="code hl_function" href="../../d4/d17/a06786.html#a6d46f053353663a1e91978b5e3cf6995">SetCompleted</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>            <a class="code hl_function" href="../../d4/d17/a06786.html#ac4aa60cabc65f26a47dd083471c1623b">OnComplete</a>();</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        }</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>    }</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#ad9c16eeb2270f877fa5b204f86a1c8b0">  251</a></span>    vector <a class="code hl_function" href="../../dc/dba/a06798.html#ad9c16eeb2270f877fa5b204f86a1c8b0">GetPosition</a>()</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>    {</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">StashPos</a>;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>    }</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> </div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno"><a class="line" href="../../dc/dba/a06798.html#af1d3af3387dff2381b241801445a9662">  256</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../dc/dba/a06798.html#af1d3af3387dff2381b241801445a9662">GetObjectiveType</a>()</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    {</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d6/d41/a02222.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a>.TREASUREHUNT;</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>    }</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>};</div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00782_html_a2f909deb4892593626f98b201415d514aaa91a7c5a479ef5add68c761703fbaee"><div class="ttname"><a href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514aaa91a7c5a479ef5add68c761703fbaee">Spawn</a></div><div class="ttdeci">@ Spawn</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d96/a00782_source.html#l00257">expansionrpc.c:257</a></div></div>
<div class="ttc" id="aa01532_html_ac884e55f04581066557cb0154a82a44a"><div class="ttname"><a href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a></div><div class="ttdeci">class ExpansionMarketOutputs name</div></div>
<div class="ttc" id="aa02222_html_aabce516118dec3a3b68bd2e23c8894af"><div class="ttname"><a href="../../d6/d41/a02222.html#aabce516118dec3a3b68bd2e23c8894af">ExpansionQuestObjectiveType</a></div><div class="ttdeci">ExpansionQuestObjectiveType</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d41/a02222_source.html#l00013">expansionquestobjectivetype.c:14</a></div></div>
<div class="ttc" id="aa02228_html_a68bdf73e6305c9f8159adf3bfff1bcd1"><div class="ttname"><a href="../../de/dfd/a02228.html#a68bdf73e6305c9f8159adf3bfff1bcd1">ExpansionQuestPersistentData</a></div><div class="ttdeci">void ExpansionQuestPersistentData()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dfd/a02228_source.html#l00027">expansionquestpersistentdata.c:27</a></div></div>
<div class="ttc" id="aa02240_html_aca02af3f6a9f01a275220199d00acff3"><div class="ttname"><a href="../../dc/d35/a02240.html#aca02af3f6a9f01a275220199d00acff3">ExpansionQuestState</a></div><div class="ttdeci">ExpansionQuestState</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d35/a02240_source.html#l00013">expansionqueststate.c:14</a></div></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04906_html_a3b59f94e12dccf688848db38300baa30"><div class="ttname"><a href="../../d0/dca/a04906.html#a3b59f94e12dccf688848db38300baa30">ExpansionOwnedContainer::ExpansionSetContainerOwner</a></div><div class="ttdeci">void ExpansionSetContainerOwner(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/ddd/a01223_source.html#l00126">expansionownedcontainer.c:126</a></div></div>
<div class="ttc" id="aa05098_html"><div class="ttname"><a href="../../d8/dc2/a05098.html">ExpansionItemSpawnHelper</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da7/a01283_source.html#l00013">expansionitemspawnhelper.c:14</a></div></div>
<div class="ttc" id="aa05098_html_a55520bd3363143c31c36538a4f020bc1"><div class="ttname"><a href="../../d8/dc2/a05098.html#a55520bd3363143c31c36538a4f020bc1">ExpansionItemSpawnHelper::SpawnOnParent</a></div><div class="ttdeci">static Object SpawnOnParent(string className, PlayerBase player, inout EntityAI parent, out int remainingAmount, int quantityPercent=-1, TStringArray attachments=NULL, int skinIndex=-1, bool magFillAmmo=true, inout bool attachmentNotAttached=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da7/a01283_source.html#l00020">expansionitemspawnhelper.c:20</a></div></div>
<div class="ttc" id="aa05314_html"><div class="ttname"><a href="../../db/dc8/a05314.html">ExpansionPartyData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9b/a09391_source.html#l00013">expansionpartydata.c:14</a></div></div>
<div class="ttc" id="aa05314_html_a6116ffeaaccd68427d0d40d50b00107f"><div class="ttname"><a href="../../db/dc8/a05314.html#a6116ffeaaccd68427d0d40d50b00107f">ExpansionPartyData::GetPlayers</a></div><div class="ttdeci">array&lt; ref ExpansionPartyPlayerData &gt; GetPlayers()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d9b/a09391_source.html#l00136">expansionpartydata.c:136</a></div></div>
<div class="ttc" id="aa06470_html"><div class="ttname"><a href="../../d3/dd6/a06470.html">ExpansionQuestSeaChest</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/a02186_source.html#l00131">expansiontemporaryownedquestcontainer.c:131</a></div></div>
<div class="ttc" id="aa06622_html_a22645c85276d97e4b148544974885048"><div class="ttname"><a href="../../d4/dab/a06622.html#a22645c85276d97e4b148544974885048">ExpansionQuest::GetPlayer</a></div><div class="ttdeci">PlayerBase GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db7/a02198_source.html#l00346">expansionquest.c:346</a></div></div>
<div class="ttc" id="aa06622_html_a54070bbbc6f777f923f9fcb2bfd18dc0"><div class="ttname"><a href="../../d4/dab/a06622.html#a54070bbbc6f777f923f9fcb2bfd18dc0">ExpansionQuest::SetPlayer</a></div><div class="ttdeci">void SetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db7/a02198_source.html#l00338">expansionquest.c:338</a></div></div>
<div class="ttc" id="aa06622_html_abae0e0492b4610678f5ed0523a6c3808"><div class="ttname"><a href="../../d4/dab/a06622.html#abae0e0492b4610678f5ed0523a6c3808">ExpansionQuest::GetQuestModule</a></div><div class="ttdeci">ExpansionQuestModule GetQuestModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/db7/a02198_source.html#l01022">expansionquest.c:1022</a></div></div>
<div class="ttc" id="aa06642_html_ad103bc68aed4cfb24b800ef221e4eee2"><div class="ttname"><a href="../../d8/d61/a06642.html#ad103bc68aed4cfb24b800ef221e4eee2">ExpansionQuestModule::GetPlayerQuestDataByUID</a></div><div class="ttdeci">ExpansionQuestPersistentData GetPlayerQuestDataByUID(string playerUID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d1e/a02210_source.html#l04784">expansionquestmodule.c:4784</a></div></div>
<div class="ttc" id="aa06714_html"><div class="ttname"><a href="../../df/dc1/a06714.html">ExpansionQuestObjectiveTreasureHunt</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6e/a02273_source.html#l00013">expansionquestobjectivetreasurehunt.c:14</a></div></div>
<div class="ttc" id="aa06714_html_a46c105f7e793e22565f5359d3de42f95"><div class="ttname"><a href="../../df/dc1/a06714.html#a46c105f7e793e22565f5359d3de42f95">ExpansionQuestObjectiveTreasureHunt::GetPositions</a></div><div class="ttdeci">array&lt; vector &gt; GetPositions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6e/a02273_source.html#l00033">expansionquestobjectivetreasurehunt.c:33</a></div></div>
<div class="ttc" id="aa06714_html_a9675b9a0f6b6b788ba8b2dcd88a8978a"><div class="ttname"><a href="../../df/dc1/a06714.html#a9675b9a0f6b6b788ba8b2dcd88a8978a">ExpansionQuestObjectiveTreasureHunt::GetItems</a></div><div class="ttdeci">map&lt; string, int &gt; GetItems()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d6e/a02273_source.html#l00023">expansionquestobjectivetreasurehunt.c:23</a></div></div>
<div class="ttc" id="aa06730_html_a2e6a782d74b0fa2756b66c87ab66f5db"><div class="ttname"><a href="../../de/d9f/a06730.html#a2e6a782d74b0fa2756b66c87ab66f5db">ExpansionQuestObjectiveConfig::GetTreasureHunt</a></div><div class="ttdeci">ExpansionQuestObjectiveTreasureHunt GetTreasureHunt()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d3b/a02291_source.html#l00141">expansionquestobjectiveconfigbase.c:141</a></div></div>
<div class="ttc" id="aa06786_html"><div class="ttname"><a href="../../d4/d17/a06786.html">ExpansionQuestObjectiveEventBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00013">expansionquestobjectiveeventbase.c:14</a></div></div>
<div class="ttc" id="aa06786_html_a5a008942dca0db43ed6d1c103b185d89"><div class="ttname"><a href="../../d4/d17/a06786.html#a5a008942dca0db43ed6d1c103b185d89">ExpansionQuestObjectiveEventBase::GetObjectiveConfig</a></div><div class="ttdeci">ExpansionQuestObjectiveConfig GetObjectiveConfig()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00193">expansionquestobjectiveeventbase.c:193</a></div></div>
<div class="ttc" id="aa06786_html_a6d46f053353663a1e91978b5e3cf6995"><div class="ttname"><a href="../../d4/d17/a06786.html#a6d46f053353663a1e91978b5e3cf6995">ExpansionQuestObjectiveEventBase::SetCompleted</a></div><div class="ttdeci">void SetCompleted(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00067">expansionquestobjectiveeventbase.c:67</a></div></div>
<div class="ttc" id="aa06786_html_a9cab02faa3af84e665984b41837ff6e0"><div class="ttname"><a href="../../d4/d17/a06786.html#a9cab02faa3af84e665984b41837ff6e0">ExpansionQuestObjectiveEventBase::GetQuest</a></div><div class="ttdeci">ExpansionQuest GetQuest()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00042">expansionquestobjectiveeventbase.c:42</a></div></div>
<div class="ttc" id="aa06786_html_ac4aa60cabc65f26a47dd083471c1623b"><div class="ttname"><a href="../../d4/d17/a06786.html#ac4aa60cabc65f26a47dd083471c1623b">ExpansionQuestObjectiveEventBase::OnComplete</a></div><div class="ttdeci">bool OnComplete()</div><div class="ttdoc">Event called when objective is completed.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00110">expansionquestobjectiveeventbase.c:110</a></div></div>
<div class="ttc" id="aa06786_html_aeff3c476e6e118a01fd7f0db7a5542c8"><div class="ttname"><a href="../../d4/d17/a06786.html#aeff3c476e6e118a01fd7f0db7a5542c8">ExpansionQuestObjectiveEventBase::IsCompleted</a></div><div class="ttdeci">bool IsCompleted()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d54/a02342_source.html#l00062">expansionquestobjectiveeventbase.c:62</a></div></div>
<div class="ttc" id="aa06798_html"><div class="ttname"><a href="../../dc/dba/a06798.html">ExpansionQuestObjectiveTreasureHuntEvent</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00013">expansionquestobjectivetreasurehuntevent.c:14</a></div></div>
<div class="ttc" id="aa06798_html_a1c84af3e783c16914735c56479244d7e"><div class="ttname"><a href="../../dc/dba/a06798.html#a1c84af3e783c16914735c56479244d7e">ExpansionQuestObjectiveTreasureHuntEvent::TreasureHuntEventStart</a></div><div class="ttdeci">protected bool TreasureHuntEventStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00097">expansionquestobjectivetreasurehuntevent.c:97</a></div></div>
<div class="ttc" id="aa06798_html_a260daf674dcd97c8817b15e29fac3447"><div class="ttname"><a href="../../dc/dba/a06798.html#a260daf674dcd97c8817b15e29fac3447">ExpansionQuestObjectiveTreasureHuntEvent::OnStart</a></div><div class="ttdeci">override bool OnStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00020">expansionquestobjectivetreasurehuntevent.c:20</a></div></div>
<div class="ttc" id="aa06798_html_a3c7ac55c05a996f7378421003cb2ee85"><div class="ttname"><a href="../../dc/dba/a06798.html#a3c7ac55c05a996f7378421003cb2ee85">ExpansionQuestObjectiveTreasureHuntEvent::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float timeslice)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00185">expansionquestobjectivetreasurehuntevent.c:185</a></div></div>
<div class="ttc" id="aa06798_html_a4f87b40ecd56e6efe5070dd39a70593b"><div class="ttname"><a href="../../dc/dba/a06798.html#a4f87b40ecd56e6efe5070dd39a70593b">ExpansionQuestObjectiveTreasureHuntEvent::OnCancel</a></div><div class="ttdeci">override bool OnCancel()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00077">expansionquestobjectivetreasurehuntevent.c:77</a></div></div>
<div class="ttc" id="aa06798_html_a603e0f412d79798a88ef0c6efe39184c"><div class="ttname"><a href="../../dc/dba/a06798.html#a603e0f412d79798a88ef0c6efe39184c">ExpansionQuestObjectiveTreasureHuntEvent::OnCleanup</a></div><div class="ttdeci">override bool OnCleanup()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00048">expansionquestobjectivetreasurehuntevent.c:48</a></div></div>
<div class="ttc" id="aa06798_html_a88ab30ab079785503357764516d95a72"><div class="ttname"><a href="../../dc/dba/a06798.html#a88ab30ab079785503357764516d95a72">ExpansionQuestObjectiveTreasureHuntEvent::Spawn</a></div><div class="ttdeci">Object Spawn(string name, int amount, PlayerBase player, inout EntityAI parent, vector position, vector orientation)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00179">expansionquestobjectivetreasurehuntevent.c:179</a></div></div>
<div class="ttc" id="aa06798_html_aad2b78e614f7ef9d6000b1b77b07ca05"><div class="ttname"><a href="../../dc/dba/a06798.html#aad2b78e614f7ef9d6000b1b77b07ca05">ExpansionQuestObjectiveTreasureHuntEvent::LootItems</a></div><div class="ttdeci">protected ref array&lt; Object &gt; LootItems</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00015">expansionquestobjectivetreasurehuntevent.c:15</a></div></div>
<div class="ttc" id="aa06798_html_ab5a105e4856a87ff2564f26c8759a2d5"><div class="ttname"><a href="../../dc/dba/a06798.html#ab5a105e4856a87ff2564f26c8759a2d5">ExpansionQuestObjectiveTreasureHuntEvent::Stash</a></div><div class="ttdeci">protected UndergroundStash Stash</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00016">expansionquestobjectivetreasurehuntevent.c:16</a></div></div>
<div class="ttc" id="aa06798_html_ad6ca3f71df112d5964dc9ef1b7d7bf33"><div class="ttname"><a href="../../dc/dba/a06798.html#ad6ca3f71df112d5964dc9ef1b7d7bf33">ExpansionQuestObjectiveTreasureHuntEvent::CreateTreasure</a></div><div class="ttdeci">protected bool CreateTreasure(ExpansionQuestObjectiveTreasureHunt treasureHunt)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00117">expansionquestobjectivetreasurehuntevent.c:117</a></div></div>
<div class="ttc" id="aa06798_html_ad9c16eeb2270f877fa5b204f86a1c8b0"><div class="ttname"><a href="../../dc/dba/a06798.html#ad9c16eeb2270f877fa5b204f86a1c8b0">ExpansionQuestObjectiveTreasureHuntEvent::GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00251">expansionquestobjectivetreasurehuntevent.c:251</a></div></div>
<div class="ttc" id="aa06798_html_ae667384748d8c1a34f04c26cf44021ab"><div class="ttname"><a href="../../dc/dba/a06798.html#ae667384748d8c1a34f04c26cf44021ab">ExpansionQuestObjectiveTreasureHuntEvent::StashPos</a></div><div class="ttdeci">protected vector StashPos</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00018">expansionquestobjectivetreasurehuntevent.c:18</a></div></div>
<div class="ttc" id="aa06798_html_aea9c6cde39d60a2f065b9d0d37e1b376"><div class="ttname"><a href="../../dc/dba/a06798.html#aea9c6cde39d60a2f065b9d0d37e1b376">ExpansionQuestObjectiveTreasureHuntEvent::OnContinue</a></div><div class="ttdeci">override bool OnContinue()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00034">expansionquestobjectivetreasurehuntevent.c:34</a></div></div>
<div class="ttc" id="aa06798_html_af1d3af3387dff2381b241801445a9662"><div class="ttname"><a href="../../dc/dba/a06798.html#af1d3af3387dff2381b241801445a9662">ExpansionQuestObjectiveTreasureHuntEvent::GetObjectiveType</a></div><div class="ttdeci">override int GetObjectiveType()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00256">expansionquestobjectivetreasurehuntevent.c:256</a></div></div>
<div class="ttc" id="aa06798_html_afd6a2d2f2fb3d6c305906e2a32c55caf"><div class="ttname"><a href="../../dc/dba/a06798.html#afd6a2d2f2fb3d6c305906e2a32c55caf">ExpansionQuestObjectiveTreasureHuntEvent::Chest</a></div><div class="ttdeci">protected ExpansionQuestSeaChest Chest</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d1b/a02351_source.html#l00017">expansionquestobjectivetreasurehuntevent.c:17</a></div></div>
<div class="ttc" id="aa09397_html_a7949e537f7a83eceaec184008c93805c"><div class="ttname"><a href="../../d6/d8f/a09397.html#a7949e537f7a83eceaec184008c93805c">ExpansionPartyPlayerData</a></div><div class="ttdeci">void ExpansionPartyPlayerData(ExpansionPartyData party)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8f/a09397_source.html#l00035">expansionpartyplayerdata.c:35</a></div></div>
<div class="ttc" id="aa09397_html_a8801f650a68798314ce33ba4a0af2e27"><div class="ttname"><a href="../../d6/d8f/a09397.html#a8801f650a68798314ce33ba4a0af2e27">GetID</a></div><div class="ttdeci">string GetID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8f/a09397_source.html#l00109">expansionpartyplayerdata.c:109</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_1aeb20201abd12b8e4cbe340a915686e.html">Quests</a></li><li class="navelem"><a class="el" href="../../dir_29e5a841f4af4b583623a745e009ef31.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_6229eaf44b730d10fc037c21be0cc9d2.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_41bb0a1ba7a249856ef624b7024ff764.html">dayzexpansion_quests</a></li><li class="navelem"><a class="el" href="../../dir_2cb013c5fea97d25b3c5e425100cdce5.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_eb26c162496b02eac2af2f3f20c5c189.html">quests</a></li><li class="navelem"><a class="el" href="../../dir_4b9dc1fdf47eec74776374fd2a5a67ad.html">questobjectiveevents</a></li><li class="navelem"><a class="el" href="../../dd/d1b/a02351.html">expansionquestobjectivetreasurehuntevent.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
